# Gtk::RecentManagerError Class Reference

Exception class for Gtk::RecentManager errors. More...

Inheritance diagram for Gtk::RecentManagerError:
[legend]
Collaboration diagram for Gtk::RecentManagerError:
[legend]

List of all members.

## Public Types

enum | Code { NOT_FOUND, INVALID_URI, INVALID_ENCODING, NOT_REGISTERED, READ, WRITE, UNKNOWN }

## Public Member Functions

| RecentManagerError (Code error_code, const Glib::ustring& error_message)
| RecentManagerError (GError* gobject)
Code | code () const

## Detailed Description

Exception class for Gtk::RecentManager errors.

## Member Enumeration Documentation

enum Gtk::RecentManagerError::Code

Enumerator:

  NOT_FOUND |
  INVALID_URI |
  INVALID_ENCODING |
  NOT_REGISTERED |
  READ |
  WRITE |
  UNKNOWN |

## Constructor & Destructor Documentation

Gtk::RecentManagerError::RecentManagerError | ( | Code | error_code,
|  | const Glib::ustring & | error_message
| ) |  |

Gtk::RecentManagerError::RecentManagerError | ( | GError * | gobject ) | `[explicit]`

## Member Function Documentation

Code Gtk::RecentManagerError::code | ( | ) | const

Reimplemented from Glib::Error.

The documentation for this class was generated from the following file:

- gtkmm/recentmanager.h